> For the complete documentation index, see [llms.txt](https://docs.zaui.com/zapi/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zaui.com/zapi/zapi-calls/waitlist/add-guest.md).

# Add Guest

## zapiAddWaitListGuest

<mark style="color:green;">`POST`</mark> `https://{yourdomainname}.zaui.net/zapi/`

#### Request Body

| Name                                            | Type    | Description                                                                     |
| ----------------------------------------------- | ------- | ------------------------------------------------------------------------------- |
| zapiToken<mark style="color:red;">\*</mark>     | integer | Token that must be used for a reseller to communicate with the supplier system. |
| activityTime<mark style="color:red;">\*</mark>  | integer | Timeslot of activity to add guest to the waitlist for. Format: HH:MM:SS.        |
| activityDate<mark style="color:red;">\*</mark>  | integer | The travel date.  Format: YYYY-MM-DD                                            |
| activityId<mark style="color:red;">\*</mark>    | integer | ID of the activity.                                                             |
| methodName<mark style="color:red;">\*</mark>    | string  | The method being called.                                                        |
| zapiUserId<mark style="color:red;">\*</mark>    | integer | Generated by the supplier system when a new contact is created.                 |
| zapiAccountId<mark style="color:red;">\*</mark> | integer | Generated by the supplier system.                                               |
| mobilePhone<mark style="color:red;">\*</mark>   | integer | Mobile phone number listed in Guest profile.                                    |
| lastName<mark style="color:red;">\*</mark>      | string  | Last name listed in Guest profile.                                              |
| firstName<mark style="color:red;">\*</mark>     | string  | First name listed in Guest profile.                                             |
| comments                                        | string  | Notes to add to the booking.                                                    |
| email<mark style="color:red;">\*</mark>         | string  | Email address listed in Guest profile.                                          |
| passengers<mark style="color:red;">\*</mark>    | object  | Object describing how many people to add to the waitlist.                       |

{% tabs %}
{% tab title="200: OK " %}

```xml
<?xml version="1.0" encoding="utf-8"?>
<response>
    <zapiVersion>2.1</zapiVersion>
    <error>0</error>
    <message>OK</message>
    <methodResponse>
        <methodName>zapiAddWaitListGuest</methodName>
        <waitListId>0</waitListId>
        <methodErrorCode>0</methodErrorCode>
        <methodErrorMessage>
            <![CDATA[Harry Potter has been wait listed]]>
        </methodErrorMessage>
    </methodResponse>
</response>
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Request" %}

```xml
<request>
	<zapiToken></zapiToken>
	<zapiAccountId></zapiAccountId>
	<zapiUserId></zapiUserId>
	<zapiMethod>
		<methodName>zapiAddWaitListGuest</methodName>
		<activityId></activityId>
		<activityDate></activityDate>
		<activityTime></activityTime>
		<firstName></firstName>
		<lastName></lastName>
		<mobilePhone></mobilePhone>
		<email></email>
		<comments></comments>
        	<passengers>
			<seniors></seniors>
			<adults></adults>
			<students></students>
			<children></children>
			<infants></infants>
			<passengersAsString></passengersAsString>
		</passengers>
	</zapiMethod>
</request>
```

{% endtab %}

{% tab title="Response" %}

```xml
<?xml version="1.0" encoding="utf-8"?>
<response>
	<zapiVersion>2.1</zapiVersion>
	<error>0</error>
	<message>OK</message>
	<methodResponse>
		<methodName>zapiAddWaitListGuest</methodName>
		<waitListId></waitListId>
		<methodErrorCode>0</methodErrorCode>
		<methodErrorMessage></methodErrorMessage>
	</methodResponse>
</response> 
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zaui.com/zapi/zapi-calls/waitlist/add-guest.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
